# -*- coding: utf-8 -*-
"""data models for utility protocols"""

# PCAP file headers
from pcapkit.protocols.data.misc.pcap import *

# PCAP-NG file format
from pcapkit.protocols.data.misc.pcapng import UnknownSecrets as PCAPNG_UnknownSecrets
from pcapkit.protocols.data.misc.pcapng import PCAPNG
from pcapkit.protocols.data.misc.pcapng import CommentOption as PCAPNG_CommentOption
from pcapkit.protocols.data.misc.pcapng import CustomBlock as PCAPNG_CustomBlock
from pcapkit.protocols.data.misc.pcapng import CustomOption as PCAPNG_CustomOption
from pcapkit.protocols.data.misc.pcapng import \
    DecryptionSecretsBlock as PCAPNG_DecryptionSecretsBlock
from pcapkit.protocols.data.misc.pcapng import DSBSecrets as PCAPNG_DSBSecrets
from pcapkit.protocols.data.misc.pcapng import EndOfOption as PCAPNG_EndOfOption
from pcapkit.protocols.data.misc.pcapng import EndRecord as PCAPNG_EndRecord
from pcapkit.protocols.data.misc.pcapng import EnhancedPacketBlock as PCAPNG_EnhancedPacketBlock
from pcapkit.protocols.data.misc.pcapng import EPB_DropCountOption as PCAPNG_EPB_DropCountOption
from pcapkit.protocols.data.misc.pcapng import EPB_FlagsOption as PCAPNG_EPB_FlagsOption
from pcapkit.protocols.data.misc.pcapng import EPB_HashOption as PCAPNG_EPB_HashOption
from pcapkit.protocols.data.misc.pcapng import EPB_PacketIDOption as PCAPNG_EPB_PacketIDOption
from pcapkit.protocols.data.misc.pcapng import EPB_QueueOption as PCAPNG_EPB_QueueOption
from pcapkit.protocols.data.misc.pcapng import EPB_VerdictOption as PCAPNG_EPB_VerdictOption
from pcapkit.protocols.data.misc.pcapng import IF_DescriptionOption as PCAPNG_IF_DescriptionOption
from pcapkit.protocols.data.misc.pcapng import IF_EUIAddrOption as PCAPNG_IF_EUIAddrOption
from pcapkit.protocols.data.misc.pcapng import IF_FCSLenOption as PCAPNG_IF_FCSLenOption
from pcapkit.protocols.data.misc.pcapng import IF_FilterOption as PCAPNG_IF_FilterOption
from pcapkit.protocols.data.misc.pcapng import IF_HardwareOption as PCAPNG_IF_HardwareOption
from pcapkit.protocols.data.misc.pcapng import IF_IPv4AddrOption as PCAPNG_IF_IPv4AddrOption
from pcapkit.protocols.data.misc.pcapng import IF_IPv6AddrOption as PCAPNG_IF_IPv6AddrOption
from pcapkit.protocols.data.misc.pcapng import IF_MACAddrOption as PCAPNG_IF_MACAddrOption
from pcapkit.protocols.data.misc.pcapng import IF_NameOption as PCAPNG_IF_NameOption
from pcapkit.protocols.data.misc.pcapng import IF_OSOption as PCAPNG_IF_OSOption
from pcapkit.protocols.data.misc.pcapng import IF_RxSpeedOption as PCAPNG_IF_RxSpeedOption
from pcapkit.protocols.data.misc.pcapng import IF_SpeedOption as PCAPNG_IF_SpeedOption
from pcapkit.protocols.data.misc.pcapng import IF_TSOffsetOption as PCAPNG_IF_TSOffsetOption
from pcapkit.protocols.data.misc.pcapng import IF_TSResolOption as PCAPNG_IF_TSResolOption
from pcapkit.protocols.data.misc.pcapng import IF_TxSpeedOption as PCAPNG_IF_TxSpeedOption
from pcapkit.protocols.data.misc.pcapng import IF_TZoneOption as PCAPNG_IF_TZoneOption
from pcapkit.protocols.data.misc.pcapng import \
    InterfaceDescriptionBlock as PCAPNG_InterfaceDescriptionBlock
from pcapkit.protocols.data.misc.pcapng import \
    InterfaceStatisticsBlock as PCAPNG_InterfaceStatisticsBlock
from pcapkit.protocols.data.misc.pcapng import IPv4Record as PCAPNG_IPv4Record
from pcapkit.protocols.data.misc.pcapng import IPv6Record as PCAPNG_IPv6Record
from pcapkit.protocols.data.misc.pcapng import ISB_EndTimeOption as PCAPNG_ISB_EndTimeOption
from pcapkit.protocols.data.misc.pcapng import \
    ISB_FilterAcceptOption as PCAPNG_ISB_FilterAcceptOption
from pcapkit.protocols.data.misc.pcapng import ISB_IFDropOption as PCAPNG_ISB_IFDropOption
from pcapkit.protocols.data.misc.pcapng import ISB_IFRecvOption as PCAPNG_ISB_IFRecvOption
from pcapkit.protocols.data.misc.pcapng import ISB_OSDropOption as PCAPNG_ISB_OSDropOption
from pcapkit.protocols.data.misc.pcapng import ISB_StartTimeOption as PCAPNG_ISB_StartTimeOption
from pcapkit.protocols.data.misc.pcapng import ISB_UsrDelivOption as PCAPNG_ISB_UsrDelivOption
from pcapkit.protocols.data.misc.pcapng import NameResolutionBlock as PCAPNG_NameResolutionBlock
from pcapkit.protocols.data.misc.pcapng import NameResolutionRecord as PCAPNG_NameResolutionRecord
from pcapkit.protocols.data.misc.pcapng import NS_DNSIP4AddrOption as PCAPNG_NS_DNSIP4AddrOption
from pcapkit.protocols.data.misc.pcapng import NS_DNSIP6AddrOption as PCAPNG_NS_DNSIP6AddrOption
from pcapkit.protocols.data.misc.pcapng import NS_DNSNameOption as PCAPNG_NS_DNSNameOption
from pcapkit.protocols.data.misc.pcapng import Option as PCAPNG_Option
from pcapkit.protocols.data.misc.pcapng import SectionHeaderBlock as PCAPNG_SectionHeaderBlock
from pcapkit.protocols.data.misc.pcapng import SimplePacketBlock as PCAPNG_SimplePacketBlock
from pcapkit.protocols.data.misc.pcapng import \
    SystemdJournalExportBlock as PCAPNG_SystemdJournalExportBlock
from pcapkit.protocols.data.misc.pcapng import TLSKeyLog as PCAPNG_TLSKeyLog
from pcapkit.protocols.data.misc.pcapng import UnknownBlock as PCAPNG_UnknownBlock
from pcapkit.protocols.data.misc.pcapng import UnknownOption as PCAPNG_UnknownOption
from pcapkit.protocols.data.misc.pcapng import UnknownRecord as PCAPNG_UnknownRecord
from pcapkit.protocols.data.misc.pcapng import UnknownSecrets as PCAPNG_UnknownSecrets
from pcapkit.protocols.data.misc.pcapng import WireGuardKeyLog as PCAPNG_WireGuardKeyLog
from pcapkit.protocols.data.misc.pcapng import ZigBeeAPSKey as PCAPNG_ZigBeeAPSKey
from pcapkit.protocols.data.misc.pcapng import ZigBeeNWKKey as PCAPNG_ZigBeeNWKKey

# misc protocols
from pcapkit.protocols.data.misc.raw import Raw
from pcapkit.protocols.data.misc.null import NoPayload

__all__ = [
    # PCAP file headers
    'PCAP_Header', 'PCAP_MagicNumber',
    'PCAP_Frame', 'PCAP_FrameInfo',

    # PCAP-NG file format
    'PCAPNG',
    'PCAPNG_Option', 'PCAPNG_UnknownOption',
    'PCAPNG_EndOfOption', 'PCAPNG_CommentOption', 'PCAPNG_CustomOption',
    'PCAPNG_IF_NameOption', 'PCAPNG_IF_DescriptionOption', 'PCAPNG_IF_IPv4AddrOption', 'PCAPNG_IF_IPv6AddrOption',
    'PCAPNG_IF_MACAddrOption', 'PCAPNG_IF_EUIAddrOption', 'PCAPNG_IF_SpeedOption', 'PCAPNG_IF_TSResolOption',
    'PCAPNG_IF_TZoneOption', 'PCAPNG_IF_FilterOption', 'PCAPNG_IF_OSOption', 'PCAPNG_IF_FCSLenOption',
    'PCAPNG_IF_TSOffsetOption', 'PCAPNG_IF_HardwareOption', 'PCAPNG_IF_TxSpeedOption', 'PCAPNG_IF_RxSpeedOption',
    'PCAPNG_EPB_FlagsOption', 'PCAPNG_EPB_HashOption', 'PCAPNG_EPB_DropCountOption', 'PCAPNG_EPB_PacketIDOption',
    'PCAPNG_EPB_QueueOption', 'PCAPNG_EPB_VerdictOption',
    'PCAPNG_NS_DNSNameOption', 'PCAPNG_NS_DNSIP4AddrOption', 'PCAPNG_NS_DNSIP6AddrOption',
    'PCAPNG_ISB_StartTimeOption', 'PCAPNG_ISB_EndTimeOption', 'PCAPNG_ISB_IFRecvOption', 'PCAPNG_ISB_IFDropOption',
    'PCAPNG_ISB_FilterAcceptOption', 'PCAPNG_ISB_OSDropOption', 'PCAPNG_ISB_UsrDelivOption',
    'PCAPNG_NameResolutionRecord', 'PCAPNG_UnknownRecord', 'PCAPNG_EndRecord', 'PCAPNG_IPv4Record', 'PCAPNG_IPv6Record',
    'PCAPNG_DSBSecrets', 'PCAPNG_UnknownSecrets', 'PCAPNG_TLSKeyLog', 'PCAPNG_WireGuardKeyLog', 'PCAPNG_ZigBeeNWKKey',
    'PCAPNG_ZigBeeAPSKey',
    'PCAPNG_UnknownBlock', 'PCAPNG_SectionHeaderBlock', 'PCAPNG_InterfaceDescriptionBlock',
    'PCAPNG_EnhancedPacketBlock', 'PCAPNG_SimplePacketBlock', 'PCAPNG_NameResolutionBlock',
    'PCAPNG_InterfaceStatisticsBlock', 'PCAPNG_SystemdJournalExportBlock', 'PCAPNG_DecryptionSecretsBlock',
    'PCAPNG_CustomBlock',

    # No Payload
    'NoPayload',

    # Raw Packet
    'Raw',
]
